@import url("https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;600&display=swap");

* {
  font-weight: normal;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Rubik", sans-serif;
}

body {
  width: 100%;
  height: 100vh;
  background-color: #1b1b1d;
  color: white;
  padding: 1rem;
}

button {
  cursor: pointer;
}

.title {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2rem;
}

h1 {
  font-size: 3rem;
}

#dropzone {
  width: 100%;
  min-height: 1rem;
  text-align: center;
  line-height: 300px;
  font-size: 20px;
  padding: 2rem;
  display: flex;
  flex-direction: column;
  gap: 3rem;
}

#dropzone > span {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 4rem;
  border: solid 1px rgba(128, 128, 128, 0.437);
  padding: 2rem 1rem;
  border-radius: 2vmax;
  position: relative;
}

#dropzone > span > img {
  border: 2px dashed #ccc;
  width: 30%;
  aspect-ratio: 1/1;
  object-fit: contain;
  padding: 1rem;
}

#dropzone > span > p {
  height: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
}
/* paste btn */
.pasteBtn {
  background-image: linear-gradient(
    to right,
    #ff6e7f 0%,
    #bfe9ff 51%,
    #ff6e7f 100%
  );
  border: none;
  padding: 15px 45px;
  text-align: center;
  text-transform: uppercase;
  transition: 0.5s;
  background-size: 200% auto;
  color: black;
  border-radius: 10px;
  font-size: 1rem;
  display: block;
}

.pasteBtn:hover {
  background-position: right center;
  /* change the direction of the change here */
  text-decoration: none;
}

/* download btn */
.downloadBtn {
  background-image: linear-gradient(
    to right,
    #314755 0%,
    #26a0da 51%,
    #314755 100%
  );
  /* width: ; */
  height: 4rem;
  font-size: 1rem;
  padding: 15px 45px;
  text-align: center;
  text-transform: uppercase;
  transition: 0.5s;
  background-size: 200% auto;
  color: white;
  box-shadow: 2px 2px 2px #ffffff;
  border-radius: 10px;
  display: block;
  border: none;
}

.downloadBtn:hover {
  background-position: right center;
  /* change the direction of the change here */
  color: #fff;
  text-decoration: none;
}
/* removeBtn */

.removeBtn {
  background-image: linear-gradient(
    to right,
    #e53935 0%,
    #e35d5b 51%,
    #e53935 100%
  );
  height: 4rem;
  border: none;
  font-size: 1rem;
  padding: 15px 45px;
  text-align: center;
  text-transform: uppercase;
  transition: 0.5s;
  background-size: 200% auto;
  color: white;
  box-shadow: 2px 2px 2px #ffffff;
  border-radius: 10px;
  display: block;
}

.removeBtn:hover {
  background-position: right center;
  /* change the direction of the change here */
  color: #fff;
  text-decoration: none;
}

.removeBtn > i {
  /* font-size: 2rem; */
  color: white;
}
